#ifndef __TLDAPC_INDEX_H__
#define __TLDAPC_INDEX_H__

#define PLATFORM_TAG			"<6><7><6><8>"

/* Master Type */
#define MASTER_TYPE_PREFIX_INFRA_PERI       0x10000000

/* Slave Type */
#define SLAVE_TYPE_PREFIX_INFRA_PERI        0x00000000
#define SLAVE_TYPE_PREFIX_MM                0x10000000
#define SLAVE_TYPE_PREFIX_MD                0x20000000

/* Master's Index */
#define DAPC_MASTER_INDEX_SPI0              (MASTER_TYPE_PREFIX_INFRA_PERI + 9)
#define DAPC_MASTER_INDEX_SPI1              (MASTER_TYPE_PREFIX_INFRA_PERI + 1)
#define DAPC_MASTER_INDEX_SPI2              (MASTER_TYPE_PREFIX_INFRA_PERI + 28)
#define DAPC_MASTER_INDEX_SPI3              (MASTER_TYPE_PREFIX_INFRA_PERI + 29)
#define DAPC_MASTER_INDEX_SPI4              (MASTER_TYPE_PREFIX_INFRA_PERI + 19)
#define DAPC_MASTER_INDEX_SPI5              (MASTER_TYPE_PREFIX_INFRA_PERI + 20)

/* Slave's Domain Setting */
#define DOMAIN_AP                           0
#define DOMAIN_MD                           1
#define DOMAIN2                             2
#define DOMAIN3                             3
#define DOMAIN4                             4
#define DOMAIN5                             5
#define DOMAIN6                             6
#define DOMAIN7                             7

/* Master's Transaction */
#define SECURE_TRANSACTION                  1
#define NON_SECURE_TRANSACTION              0

/* Slave's Access Permission Setting */
#define NO_PROTECTION                       0
#define SECURE_RW_ONLY                      1
#define SECURE_RW_AND_NON_SECURE_R_ONLY     2
#define NO_ACCESSIBLE                       3
#define MM_NO_ACCESSIBLE                    2

/* DEVAPC AO base */
#define DEVAPC_AO_MM_BASE		0x1001C000


/* PERI (e.g. SPI, I2C) slaves' Index (The below definitions are generated by tool) */
#define DAPC_INDEX_PERISYS_APDMA               (SLAVE_TYPE_PREFIX_INFRA_PERI + 95)
#define DAPC_INDEX_PERISYS_AUXADC              (SLAVE_TYPE_PREFIX_INFRA_PERI + 96)
#define DAPC_INDEX_PERISYS_UART0               (SLAVE_TYPE_PREFIX_INFRA_PERI + 97)
#define DAPC_INDEX_PERISYS_UART1               (SLAVE_TYPE_PREFIX_INFRA_PERI + 98)
#define DAPC_INDEX_PERISYS_I2C7                (SLAVE_TYPE_PREFIX_INFRA_PERI + 99)
#define DAPC_INDEX_PERISYS_I2C8                (SLAVE_TYPE_PREFIX_INFRA_PERI + 100)
#define DAPC_INDEX_PERISYS_PWM                 (SLAVE_TYPE_PREFIX_INFRA_PERI + 101)
#define DAPC_INDEX_PERISYS_I2C0                (SLAVE_TYPE_PREFIX_INFRA_PERI + 102)
#define DAPC_INDEX_PERISYS_I2C1                (SLAVE_TYPE_PREFIX_INFRA_PERI + 103)
#define DAPC_INDEX_PERISYS_I2C2                (SLAVE_TYPE_PREFIX_INFRA_PERI + 104)
#define DAPC_INDEX_PERISYS_SPI0                (SLAVE_TYPE_PREFIX_INFRA_PERI + 105)
#define DAPC_INDEX_PERISYS_PTP                 (SLAVE_TYPE_PREFIX_INFRA_PERI + 106)
#define DAPC_INDEX_PERISYS_BTIF                (SLAVE_TYPE_PREFIX_INFRA_PERI + 107)
#define DAPC_INDEX_PERISYS_I2C6                (SLAVE_TYPE_PREFIX_INFRA_PERI + 108)
#define DAPC_INDEX_PERISYS_DISP_PWM            (SLAVE_TYPE_PREFIX_INFRA_PERI + 109)
#define DAPC_INDEX_PERISYS_I2C3                (SLAVE_TYPE_PREFIX_INFRA_PERI + 110)
#define DAPC_INDEX_PERISYS_SPI1                (SLAVE_TYPE_PREFIX_INFRA_PERI + 111)
#define DAPC_INDEX_PERISYS_I2C4                (SLAVE_TYPE_PREFIX_INFRA_PERI + 112)
#define DAPC_INDEX_PERISYS_SPI2                (SLAVE_TYPE_PREFIX_INFRA_PERI + 113)
#define DAPC_INDEX_PERISYS_SPI3                (SLAVE_TYPE_PREFIX_INFRA_PERI + 114)
#define DAPC_INDEX_PERISYS_SPI4                (SLAVE_TYPE_PREFIX_INFRA_PERI + 115)
#define DAPC_INDEX_PERISYS_SPI5                (SLAVE_TYPE_PREFIX_INFRA_PERI + 116)
#define DAPC_INDEX_PERISYS_I2C5                (SLAVE_TYPE_PREFIX_INFRA_PERI + 117)
#define DAPC_INDEX_PERISYS_IMP_IIC_WRAP        (SLAVE_TYPE_PREFIX_INFRA_PERI + 118)
#define DAPC_INDEX_PERISYS_NFI                 (SLAVE_TYPE_PREFIX_INFRA_PERI + 119)
#define DAPC_INDEX_PERISYS_NFIECC              (SLAVE_TYPE_PREFIX_INFRA_PERI + 120)
#define DAPC_INDEX_PERISYS_USB                 (SLAVE_TYPE_PREFIX_INFRA_PERI + 121)
#define DAPC_INDEX_PERISYS_USB_2_0_SUB         (SLAVE_TYPE_PREFIX_INFRA_PERI + 122)
#define DAPC_INDEX_PERISYS_MSDC0               (SLAVE_TYPE_PREFIX_INFRA_PERI + 123)
#define DAPC_INDEX_PERISYS_MSDC1               (SLAVE_TYPE_PREFIX_INFRA_PERI + 124)
#define DAPC_INDEX_PERISYS_RESERVE             (SLAVE_TYPE_PREFIX_INFRA_PERI + 125)
#define DAPC_INDEX_PERISYS_RESERVE_1           (SLAVE_TYPE_PREFIX_INFRA_PERI + 126)
#define DAPC_INDEX_PERISYS_RESERVE_2           (SLAVE_TYPE_PREFIX_INFRA_PERI + 127)
#define DAPC_INDEX_PERISYS_RESERVE_3           (SLAVE_TYPE_PREFIX_INFRA_PERI + 128)
#define DAPC_INDEX_PERISYS_RESERVE_4           (SLAVE_TYPE_PREFIX_INFRA_PERI + 129)
#define DAPC_INDEX_PERISYS_RESERVE_5           (SLAVE_TYPE_PREFIX_INFRA_PERI + 130)
#define DAPC_INDEX_PERISYS_AUDIO               (SLAVE_TYPE_PREFIX_INFRA_PERI + 131)
#define DAPC_INDEX_EAST_RESERVE                (SLAVE_TYPE_PREFIX_INFRA_PERI + 132)
#define DAPC_INDEX_EAST_CSI_TOP_AO             (SLAVE_TYPE_PREFIX_INFRA_PERI + 133)
#define DAPC_INDEX_EAST_RESERVE_1              (SLAVE_TYPE_PREFIX_INFRA_PERI + 134)
#define DAPC_INDEX_EAST_RESERVE_2              (SLAVE_TYPE_PREFIX_INFRA_PERI + 135)
#define DAPC_INDEX_SOUTH_RESERVE               (SLAVE_TYPE_PREFIX_INFRA_PERI + 136)
#define DAPC_INDEX_SOUTH_EFUSE                 (SLAVE_TYPE_PREFIX_INFRA_PERI + 137)
#define DAPC_INDEX_SOUTH_RESERVE_1             (SLAVE_TYPE_PREFIX_INFRA_PERI + 138)
#define DAPC_INDEX_SOUTH_RESERVE_2             (SLAVE_TYPE_PREFIX_INFRA_PERI + 139)
#define DAPC_INDEX_WEST_MIPI_TX_CONFIG         (SLAVE_TYPE_PREFIX_INFRA_PERI + 140)
#define DAPC_INDEX_WEST_MSDC1                  (SLAVE_TYPE_PREFIX_INFRA_PERI + 141)
#define DAPC_INDEX_WEST_RESERVE_1              (SLAVE_TYPE_PREFIX_INFRA_PERI + 142)
#define DAPC_INDEX_WEST_RESERVE_2              (SLAVE_TYPE_PREFIX_INFRA_PERI + 143)
#define DAPC_INDEX_NORTH_USBSIF_TOP            (SLAVE_TYPE_PREFIX_INFRA_PERI + 144)
#define DAPC_INDEX_NORTH_MSDC0                 (SLAVE_TYPE_PREFIX_INFRA_PERI + 145)
#define DAPC_INDEX_NORTH_RESERVE_0             (SLAVE_TYPE_PREFIX_INFRA_PERI + 146)
#define DAPC_INDEX_NORTH_RESERVE_1             (SLAVE_TYPE_PREFIX_INFRA_PERI + 147)
#define DAPC_INDEX_PERISYS_CONN                (SLAVE_TYPE_PREFIX_INFRA_PERI + 148)
#define DAPC_INDEX_PERISYS_MD1                 (SLAVE_TYPE_PREFIX_INFRA_PERI + 149)
#define DAPC_INDEX_PERISYS_RESERVE_6           (SLAVE_TYPE_PREFIX_INFRA_PERI + 150)
#define DAPC_INDEX_GPU_CONFIG                  (SLAVE_TYPE_PREFIX_MM + 0)
#define DAPC_INDEX_GPU_IP                      (SLAVE_TYPE_PREFIX_MM + 1)
#define DAPC_INDEX_GPU_MALI_DVFS_HINT          (SLAVE_TYPE_PREFIX_MM + 2)
#define DAPC_INDEX_MFG_OTHERS                  (SLAVE_TYPE_PREFIX_MM + 3)
#define DAPC_INDEX_MMSYS_CONFIG                (SLAVE_TYPE_PREFIX_MM + 4)
#define DAPC_INDEX_DISP_MUTEX                  (SLAVE_TYPE_PREFIX_MM + 5)
#define DAPC_INDEX_SMI_COMMON                  (SLAVE_TYPE_PREFIX_MM + 6)
#define DAPC_INDEX_SMI_LARB0                   (SLAVE_TYPE_PREFIX_MM + 7)
#define DAPC_INDEX_MDP_RDMA0                   (SLAVE_TYPE_PREFIX_MM + 8)
#define DAPC_INDEX_MDP_CCORR0                  (SLAVE_TYPE_PREFIX_MM + 9)
#define DAPC_INDEX_MDP_RSZ0                    (SLAVE_TYPE_PREFIX_MM + 10)
#define DAPC_INDEX_MDP_RSZ1                    (SLAVE_TYPE_PREFIX_MM + 11)
#define DAPC_INDEX_MDP_WDMA0                   (SLAVE_TYPE_PREFIX_MM + 12)
#define DAPC_INDEX_MDP_WROT0                   (SLAVE_TYPE_PREFIX_MM + 13)
#define DAPC_INDEX_MDP_TDSHP0                  (SLAVE_TYPE_PREFIX_MM + 14)
#define DAPC_INDEX_DISP_OVL0                   (SLAVE_TYPE_PREFIX_MM + 15)
#define DAPC_INDEX_DISP_OVL0_2L                (SLAVE_TYPE_PREFIX_MM + 16)
#define DAPC_INDEX_DISP_RDMA0                  (SLAVE_TYPE_PREFIX_MM + 17)
#define DAPC_INDEX_DISP_WDMA0                  (SLAVE_TYPE_PREFIX_MM + 18)
#define DAPC_INDEX_DISP_COLOR0                 (SLAVE_TYPE_PREFIX_MM + 19)
#define DAPC_INDEX_DISP_CCORR0                 (SLAVE_TYPE_PREFIX_MM + 20)
#define DAPC_INDEX_DISP_AAL0                   (SLAVE_TYPE_PREFIX_MM + 21)
#define DAPC_INDEX_DISP_GAMMA0                 (SLAVE_TYPE_PREFIX_MM + 22)
#define DAPC_INDEX_DISP_DITHER0                (SLAVE_TYPE_PREFIX_MM + 23)
#define DAPC_INDEX_DSI0                        (SLAVE_TYPE_PREFIX_MM + 24)
#define DAPC_INDEX_DISP_RSZ0                   (SLAVE_TYPE_PREFIX_MM + 25)
#define DAPC_INDEX_MM_MUTEX                    (SLAVE_TYPE_PREFIX_MM + 26)
#define DAPC_INDEX_SMI_LARB0_1                 (SLAVE_TYPE_PREFIX_MM + 27)
#define DAPC_INDEX_SMI_LARB1                   (SLAVE_TYPE_PREFIX_MM + 28)
#define DAPC_INDEX_SMI_COMMON_1                (SLAVE_TYPE_PREFIX_MM + 29)
#define DAPC_INDEX_IMGSYS_CONFIG               (SLAVE_TYPE_PREFIX_MM + 30)
#define DAPC_INDEX_IMGSYS_SMI_LARB2            (SLAVE_TYPE_PREFIX_MM + 31)
#define DAPC_INDEX_IMGSYS_DISP_A0              (SLAVE_TYPE_PREFIX_MM + 32)
#define DAPC_INDEX_IMGSYS_DISP_A1              (SLAVE_TYPE_PREFIX_MM + 33)
#define DAPC_INDEX_IMGSYS_DISP_A_NBC           (SLAVE_TYPE_PREFIX_MM + 34)
#define DAPC_INDEX_IMGSYS_RESERVE              (SLAVE_TYPE_PREFIX_MM + 35)
#define DAPC_INDEX_IMGSYS_RESERVE_1            (SLAVE_TYPE_PREFIX_MM + 36)
#define DAPC_INDEX_IMGSYS_RESERVE_2            (SLAVE_TYPE_PREFIX_MM + 37)
#define DAPC_INDEX_IMGSYS_DPE                  (SLAVE_TYPE_PREFIX_MM + 38)
#define DAPC_INDEX_IMGSYS_RESERVE_3            (SLAVE_TYPE_PREFIX_MM + 39)
#define DAPC_INDEX_IMGSYS_RESERVE_4            (SLAVE_TYPE_PREFIX_MM + 40)
#define DAPC_INDEX_IMGSYS_FDVT                 (SLAVE_TYPE_PREFIX_MM + 41)
#define DAPC_INDEX_IMGSYS_RESERVE_5            (SLAVE_TYPE_PREFIX_MM + 42)
#define DAPC_INDEX_IMGSYS_RESERVE_6            (SLAVE_TYPE_PREFIX_MM + 43)
#define DAPC_INDEX_IMGSYS_RESERVE_7            (SLAVE_TYPE_PREFIX_MM + 44)
#define DAPC_INDEX_IMGSYS_RESERVE_8            (SLAVE_TYPE_PREFIX_MM + 45)
#define DAPC_INDEX_VDEC_GLOBAL_CON             (SLAVE_TYPE_PREFIX_MM + 46)
#define DAPC_INDEX_VDEC_MBIST                  (SLAVE_TYPE_PREFIX_MM + 47)
#define DAPC_INDEX_VDEC_CONFG                  (SLAVE_TYPE_PREFIX_MM + 48)
#define DAPC_INDEX_VDEC_FULL                   (SLAVE_TYPE_PREFIX_MM + 49)
#define DAPC_INDEX_VENC_GLOBAL_CON             (SLAVE_TYPE_PREFIX_MM + 50)
#define DAPC_INDEX_VENC_CONFG                  (SLAVE_TYPE_PREFIX_MM + 51)
#define DAPC_INDEX_VENC_I0                     (SLAVE_TYPE_PREFIX_MM + 52)
#define DAPC_INDEX_VENC_JPB_ENC_REG            (SLAVE_TYPE_PREFIX_MM + 53)
#define DAPC_INDEX_VENC_SRAM_POOL_MBIST_CTRL   (SLAVE_TYPE_PREFIX_MM + 54)
#define DAPC_INDEX_VENC_SRAM_POOL_MBIST_CTRL_1 (SLAVE_TYPE_PREFIX_MM + 55)
#define DAPC_INDEX_VENC_SRAM_POOL_MBIST_CTRL_2 (SLAVE_TYPE_PREFIX_MM + 56)
#define DAPC_INDEX_VENC_SRAM_POOL_MBIST_CTRL_3 (SLAVE_TYPE_PREFIX_MM + 57)
#define DAPC_INDEX_CAMSYS_CAMSYS_TOP           (SLAVE_TYPE_PREFIX_MM + 58)
#define DAPC_INDEX_CAMSYS_LARB3                (SLAVE_TYPE_PREFIX_MM + 59)
#define DAPC_INDEX_CAMSYS_CAM_TOP              (SLAVE_TYPE_PREFIX_MM + 60)
#define DAPC_INDEX_CAMSYS_CAM_A                (SLAVE_TYPE_PREFIX_MM + 61)
#define DAPC_INDEX_CAMSYS_CAM_B                (SLAVE_TYPE_PREFIX_MM + 62)
#define DAPC_INDEX_CAMSYS_CAM_TOP_SET          (SLAVE_TYPE_PREFIX_MM + 63)
#define DAPC_INDEX_CAMSYS_CAM_A_SET            (SLAVE_TYPE_PREFIX_MM + 64)
#define DAPC_INDEX_CAMSYS_CAM_B_SET            (SLAVE_TYPE_PREFIX_MM + 65)
#define DAPC_INDEX_CAMSYS_CAM_TOP_INNER        (SLAVE_TYPE_PREFIX_MM + 66)
#define DAPC_INDEX_CAMSYS_CAM_A_INNER          (SLAVE_TYPE_PREFIX_MM + 67)
#define DAPC_INDEX_CAMSYS_CAM_B_INNER          (SLAVE_TYPE_PREFIX_MM + 68)
#define DAPC_INDEX_CAMSYS_CAM_TOP_CLR          (SLAVE_TYPE_PREFIX_MM + 69)
#define DAPC_INDEX_CAMSYS_CAM_A_CLR            (SLAVE_TYPE_PREFIX_MM + 70)
#define DAPC_INDEX_CAMSYS_CAM_B_CLR            (SLAVE_TYPE_PREFIX_MM + 71)
#define DAPC_INDEX_CAMSYS_CAM_A_EXT            (SLAVE_TYPE_PREFIX_MM + 72)
#define DAPC_INDEX_CAMSYS_CAM_B_EXT            (SLAVE_TYPE_PREFIX_MM + 73)
#define DAPC_INDEX_CAMSYS_SENINF_A             (SLAVE_TYPE_PREFIX_MM + 74)
#define DAPC_INDEX_CAMSYS_SENINF_B             (SLAVE_TYPE_PREFIX_MM + 75)
#define DAPC_INDEX_CAMSYS_SENINF_C             (SLAVE_TYPE_PREFIX_MM + 76)
#define DAPC_INDEX_CAMSYS_SENINF_D             (SLAVE_TYPE_PREFIX_MM + 77)
#define DAPC_INDEX_CAMSYS_SENINF_E             (SLAVE_TYPE_PREFIX_MM + 78)
#define DAPC_INDEX_CAMSYS_SENINF_F             (SLAVE_TYPE_PREFIX_MM + 79)
#define DAPC_INDEX_CAMSYS_SENINF_G             (SLAVE_TYPE_PREFIX_MM + 80)
#define DAPC_INDEX_CAMSYS_SENINF_H             (SLAVE_TYPE_PREFIX_MM + 81)
#define DAPC_INDEX_CAMSYS_CAMSV_A              (SLAVE_TYPE_PREFIX_MM + 82)
#define DAPC_INDEX_CAMSYS_CAMSV_B              (SLAVE_TYPE_PREFIX_MM + 83)
#define DAPC_INDEX_CAMSYS_CAMSV_C              (SLAVE_TYPE_PREFIX_MM + 84)
#define DAPC_INDEX_CAMSYS_CAMSV_D              (SLAVE_TYPE_PREFIX_MM + 85)
#define DAPC_INDEX_CAMSYS_OTHERS_0             (SLAVE_TYPE_PREFIX_MM + 86)
#define DAPC_INDEX_CAMSYS_MD32_DMEM            (SLAVE_TYPE_PREFIX_MM + 87)
#define DAPC_INDEX_CAMSYS_RESERVED             (SLAVE_TYPE_PREFIX_MM + 88)
#define DAPC_INDEX_CAMSYS_MD32_PMEM            (SLAVE_TYPE_PREFIX_MM + 89)
#define DAPC_INDEX_CAMSYS_MD32_IP              (SLAVE_TYPE_PREFIX_MM + 90)
#define DAPC_INDEX_CAMSYS_CCU_CTL              (SLAVE_TYPE_PREFIX_MM + 91)

/* MM 2nd level slaves' index:
 *
 * CAMSYS_A/B protect region is 
 *  0x004, 0x008, 0x010, 0x018, 0x6c8, 0x834, 0x838, 0xbd4, 0xbd8, 0xc58
 *
 */
#define DAPC_MM_INDEX_MMSYS_SLV0_0XF80_0XFFF               (0)  // 0x1400_0000
#define DAPC_MM_INDEX_MMSYS_SLV0_0XF00_0XF7F               (1)  // 0x1400_0000
#define DAPC_MM_INDEX_MMSYS_SLV1_0XF80_0XFFF               (2)  // 0x1400_1000
#define DAPC_MM_INDEX_MMSYS_SLV1_0XF00_0XF7F               (3)  // 0x1400_1000
#define DAPC_MM_INDEX_MMSYS_SLV2_0XF80_0XFFF               (4)  // 0x1400_2000
#define DAPC_MM_INDEX_MMSYS_SLV2_0XF00_0XF7F               (5)  // 0x1400_2000
#define DAPC_MM_INDEX_MMSYS_SLV3_0XF80_0XFFF               (6)  // 0x1400_3000
#define DAPC_MM_INDEX_MMSYS_SLV3_0XF00_0XF7F               (7)  // 0x1400_3000
#define DAPC_MM_INDEX_MMSYS_SLV4_0XF80_0XFFF               (8)  // 0x1400_4000
#define DAPC_MM_INDEX_MMSYS_SLV4_0XF00_0XF7F               (9)  // 0x1400_4000
#define DAPC_MM_INDEX_MMSYS_SLV5_0XF80_0XFFF               (10) // 0x1400_5000
#define DAPC_MM_INDEX_MMSYS_SLV5_0XF00_0XF7F               (11) // 0x1400_5000
#define DAPC_MM_INDEX_MMSYS_SLV6_0XF80_0XFFF               (12) // 0x1400_6000
#define DAPC_MM_INDEX_MMSYS_SLV6_0XF00_0XF7F               (13) // 0x1400_6000
#define DAPC_MM_INDEX_MMSYS_SLV7_0XF80_0XFFF               (14) // 0x1400_7000
#define DAPC_MM_INDEX_MMSYS_SLV7_0XF00_0XF7F               (15) // 0x1400_7000
#define DAPC_MM_INDEX_MMSYS_SLV8_0XF80_0XFFF               (16) // 0x1400_8000
#define DAPC_MM_INDEX_MMSYS_SLV8_0XF00_0XF7F               (17) // 0x1400_8000
#define DAPC_MM_INDEX_MMSYS_SLV9_0XF80_0XFFF               (18) // 0x1400_9000
#define DAPC_MM_INDEX_MMSYS_SLV9_0XF00_0XF7F               (19) // 0x1400_9000
#define DAPC_MM_INDEX_MMSYS_SLV10_0XF80_0XFFF              (20) // 0x1400_A000
#define DAPC_MM_INDEX_MMSYS_SLV10_0XF00_0XF7F              (21) // 0x1400_A000
#define DAPC_MM_INDEX_MMSYS_SLV11_0XF80_0XFFF              (22) // 0x1400_B000
#define DAPC_MM_INDEX_MMSYS_SLV11_0XF00_0XF7F              (23) // 0x1400_B000
#define DAPC_MM_INDEX_MMSYS_SLV12_0XF80_0XFFF              (24) // 0x1400_C000
#define DAPC_MM_INDEX_MMSYS_SLV12_0XF00_0XF7F              (25) // 0x1400_C000
#define DAPC_MM_INDEX_MMSYS_SLV13_0XF80_0XFFF              (26) // 0x1400_D000
#define DAPC_MM_INDEX_MMSYS_SLV13_0XF00_0XF7F              (27) // 0x1400_D000
#define DAPC_MM_INDEX_MMSYS_SLV14_0XF80_0XFFF              (28) // 0x1400_E000
#define DAPC_MM_INDEX_MMSYS_SLV14_0XF00_0XF7F              (29) // 0x1400_E000
#define DAPC_MM_INDEX_MMSYS_SLV15_0XF80_0XFFF              (30) // 0x1400_F000
#define DAPC_MM_INDEX_MMSYS_SLV15_0XF00_0XF7F              (31) // 0x1400_F000
#define DAPC_MM_INDEX_MMSYS_SLV16_0XF80_0XFFF              (32) // 0x1401_0000
#define DAPC_MM_INDEX_MMSYS_SLV16_0XF00_0XF7F              (33) // 0x1401_0000
#define DAPC_MM_INDEX_MMSYS_SLV17_0XF80_0XFFF              (34) // 0x1401_1000
#define DAPC_MM_INDEX_MMSYS_SLV17_0XF00_0XF7F              (35) // 0x1401_1000
#define DAPC_MM_INDEX_MMSYS_SLV18_0XF80_0XFFF              (36) // 0x1401_2000
#define DAPC_MM_INDEX_MMSYS_SLV18_0XF00_0XF7F              (37) // 0x1401_2000
#define DAPC_MM_INDEX_MMSYS_SLV19_0XF80_0XFFF              (38) // 0x1401_3000
#define DAPC_MM_INDEX_MMSYS_SLV19_0XF00_0XF7F              (39) // 0x1401_3000
#define DAPC_MM_INDEX_MMSYS_SLV20_0XF80_0XFFF              (40) // 0x1401_4000
#define DAPC_MM_INDEX_MMSYS_SLV20_0XF00_0XF7F              (41) // 0x1401_4000
#define DAPC_MM_INDEX_MMSYS_SLV21_0XF80_0XFFF              (42) // 0x1401_5000
#define DAPC_MM_INDEX_MMSYS_SLV21_0XF00_0XF7F              (43) // 0x1401_5000
#define DAPC_MM_INDEX_MMSYS_SLV22_0XF80_0XFFF              (44) // 0x1401_6000
#define DAPC_MM_INDEX_MMSYS_SLV22_0XF00_0XF7F              (45) // 0x1401_6000
#define DAPC_MM_INDEX_MMSYS_SLV23_0XF80_0XFFF              (46) // 0x1401_7000
#define DAPC_MM_INDEX_MMSYS_SLV23_0XF00_0XF7F              (47) // 0x1401_7000
#define DAPC_MM_INDEX_MMSYS_SLV24_0XF80_0XFFF              (48) // 0x1401_8000
#define DAPC_MM_INDEX_MMSYS_SLV24_0XF00_0XF7F              (49) // 0x1401_8000
#define DAPC_MM_INDEX_MMSYS_SLV25_0XF80_0XFFF              (50) // 0x1401_9000
#define DAPC_MM_INDEX_MMSYS_SLV25_0XF00_0XF7F              (51) // 0x1401_9000
#define DAPC_MM_INDEX_IMGSYS_SMI_LARB2_0XF80_0XFFF         (52) // 0x1500_1000¡K0x15FF_1000
#define DAPC_MM_INDEX_VDEC_SMI_LARB1_0XF80_0XFFF           (53) // 0x1601_0000
#define DAPC_MM_INDEX_VENC_SMI_LARB4_0XF80_0XFFF           (54) // 0x1701_0000
#define DAPC_MM_INDEX_VENC_I0__0X064_0X094                 (55) // 0x1702_0000
#define DAPC_MM_INDEX_CAMSYS_LARB3_0XF80_0XFFF             (56) // 0x1A00_2000
#define DAPC_MM_INDEX_CAMSYS_CAM_TOP_0X010_0X014           (57) // 0x1A00_3000¡K0x1AF0_3000
#define DAPC_MM_INDEX_CAMSYS_CAM_A                         (58) // 0x1A00_4000¡K0x1AF0_4000
#define DAPC_MM_INDEX_CAMSYS_CAM_B                         (59) // 0x1A00_5000¡K0x1AF0_5000
#define DAPC_MM_INDEX_CAMSYS_CAM_TOP_SET_0X010_0X014       (60) // 0x1A00_B000¡K0x1AF0_B000
#define DAPC_MM_INDEX_CAMSYS_CAM_A_SET                     (61) // 0x1A00_C000¡K0x1AF0_C000
#define DAPC_MM_INDEX_CAMSYS_CAM_B_SET                     (62) // 0x1A00_D000¡K0x1AF0_D000
#define DAPC_MM_INDEX_CAMSYS_CAM_TOP_INNER_0X010_0X014     (63) // 0x1A01_3000¡K0x1AF1_3000
#define DAPC_MM_INDEX_CAMSYS_CAM_A_INNER                   (64) // 0x1A01_4000¡K0x1AF1_4000
#define DAPC_MM_INDEX_CAMSYS_CAM_B_INNER                   (65) // 0x1A01_5000¡K0x1AF1_5000
#define DAPC_MM_INDEX_CAMSYS_CAM_TOP_CLR_0X010_0X014       (66) // 0x1A01_B000¡K0x1AF1_B000
#define DAPC_MM_INDEX_CAMSYS_CAM_A_CLR                     (67) // 0x1A01_C000¡K0x1AF1_C000
#define DAPC_MM_INDEX_CAMSYS_CAM_B_CLR                     (68) // 0x1A01_D000¡K0x1AF1_D000
#define DAPC_MM_INDEX_CAMSYS_SENINF_A                      (69) // 0x1A04_0000¡K0x1AF4_0000
#define DAPC_MM_INDEX_CAMSYS_SENINF_B_0XD00_0XD3C          (70) // 0x1A04_1000¡K0x1AF4_1000
#define DAPC_MM_INDEX_CAMSYS_SENINF_C_0XD00_0XD3C          (71) // 0x1A04_2000¡K0x1AF4_2000
#define DAPC_MM_INDEX_CAMSYS_SENINF_D_0XD00_0XD3C          (72) // 0x1A04_3000¡K0x1AF4_3000
#define DAPC_MM_INDEX_CAMSYS_SENINF_E_0XD00_0XD3C          (73) // 0x1A04_4000¡K0x1AF4_4000
#define DAPC_MM_INDEX_CAMSYS_SENINF_F_0XD00_0XD3C          (74) // 0x1A04_5000¡K0x1AF4_5000
#define DAPC_MM_INDEX_CAMSYS_SENINF_G_0XD00_0XD3C          (75) // 0x1A04_6000¡K0x1AF4_6000
#define DAPC_MM_INDEX_CAMSYS_SENINF_H_0XD00_0XD3C          (76) // 0x1A04_7000¡K0x1AF4_7000

#endif // __TLDAPC_INDEX_H__

